head {secr} | R Documentation

## First or Last Part of an Object

### Description

Returns the first or last parts of secr objects

### Usage

    ## S3 method for class 'mask'
    head(x, n=6L, ...)
    ## S3 method for class 'Dsurface'
    head(x, n=6L, ...)
    ## S3 method for class 'traps'
    head(x, n=6L, ...)
    ## S3 method for class 'capthist'
    head(x, n=6L, ...)
    ## S3 method for class 'mask'
    tail(x, n=6L, ...)
    ## S3 method for class 'Dsurface'
    tail(x, n=6L, ...)
    ## S3 method for class 'traps'
    tail(x, n=6L, ...)
    ## S3 method for class 'capthist'
    tail(x, n=6L, ...)

### Arguments

`x` | ‘mask’, ‘traps’ or ‘capthist’ object
`n` | a single integer. If positive, size for the resulting object: number of elements for a vector (including lists), rows for a matrix or data frame or lines for a function. If negative, all but the n last/first number of elements of x.
`...` | other arguments passed to `subset`

### Details

These custom S3 methods retain the class of the target object, unlike the default methods applied to ‘mask’, ‘Dsurface’, ‘traps’ or ‘capthist’ objects.

### Value

An object of the same class as x, but (usually) fewer rows.

### See Also

`head`, `tail`

### Examples

    head(possummask)

[Package secr version 3.2.1 Index]